Summary:	X.org video driver for 3Dfx video adapters
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart graficznych 3Dfx
Name:		xorg-driver-video-tdfx
Version:	1.4.6
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-tdfx-%{version}.tar.bz2
# Source0-md5:	3ad54183fa339ef2ab10e2704ba95060
URL:		http://xorg.freedesktop.org/
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-glproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xf86dgaproto-devel
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-libdri >= 1.0.99.901
Requires:	xorg-xserver-libglx >= 1.0.99.901
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-tdfx < 1:7.0.0
Obsoletes:	XFree86-3dfx
Obsoletes:	XFree86-driver-tdfx < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for 3Dfx video adapters. It supports Voodoo
Banshee, Voodoo3, Voodoo4 and Voodoo5 cards.

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart graficznych 3Dfx. Obsługuje karty
Voodoo Banshee, Voodoo3, Voodoo4 i Voodoo5.

%prep
%setup -q -n xf86-video-tdfx-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/tdfx_drv.so
%{_mandir}/man4/tdfx.4*
%changelog
* Thu May 14 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-driver-video-tdfx.git;a=log;h=master

* Tue Feb 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 41566e9
- updated to 1.4.6
- removed obsolete build patch

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 599d100
- due to xserver 1.17
- release 8 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 8450331
- xserver rebuild
- release 7 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ac706da
- xserver rebuild
- release 6 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> be6915f
- release 5 (by relup.sh)

* Tue Mar 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c9390b1
- rel 4; fix build with xserver 1.14

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1eb8c9f
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a1ec03
- release 2 (by relup.sh)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> d5b0262
- updated to 1.4.5

* Sat Mar 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 21cf567
- updated to 1.4.4

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a740fc9
- release 9

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ae825fc
- release 8

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> 846ce9a
- xorg-driver-video virtual for video drivers
- release 7

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> cc43e40
- release 6

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> ec213bf
- rel up

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> cc55ed4
- use requires_xorg_* macros in a way which allows to check rpm-build-macros BR first

* Fri Aug 27 2010 Jakub Bogusz <qboosh@pld-linux.org> bdeb0c9
- added README to doc

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 266e374
- release 4

* Tue Apr 06 2010 sparky <sparky@pld-linux.org> a53db1c
- BR: xorg-proto-glproto-devel

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f24f17d
- release 3

